﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 784C: (1 yr) CAL VER IEEE /5800+5Ch+GHz
DATE:                  2011-04-29 10:52:09
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       321
CONFIGURATION:         Fluke 5800A (C5,G2)
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds784c_1yr_ver_ieee_5800_5ch_ghz.txt,v $
#    $Date: 2009/11/30 19:54:09 $
#
#  Procedure Author:
#        DAC, DFM, VY
#@
#@ Models covered:
#@       TDS 784C
#@
#@ Source:
#@       TDS 500C, TDS 600B & TDS 700C Digitizing Oscilloscopes
#@       Performance Verification and Specifications,
#@       Service Manual, Part No. 070-9875-04
#@
#@ Source Author:
#@       Tektronix
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or Later.
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub TDS500/600/700 Setup IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Self-Test IEEE
#        Sub TDS500/600/700 Sig Path Comp Cal IEEE
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#        Sub TDS500/600/700 Adjust Trig Level IEEE
#        Sub TDS500/600/700 Main or Delayed Trigger IEEE
#        Sub TDS500/600/700 Read Time by Cursor Walker IEEE
#        Sub TDS500/600/700 Cursor Reading IEEE
#        Sub TDS700C Specifications
#        Sub TDS700C (1 yr) DC Offset IEEE
#        Sub TDS700C (1 yr) DCV Meas Acc IEEE /5800
#        Sub TDS700C (1 yr) Delay Match IEEE /5800
#        Sub TDS700C (1 yr) Time Base IEEE /5800
#        Sub TDS700C (1 yr) Trig Time Acc IEEE /5800
#        Sub TDS700C (1 yr) Trig Level Acc IEEE /5800
#        Sub TDS700C (1 yr) Output Signal IEEE /5800
#        Sub TDS700C (1 yr) Probe Comp IEEE /5800
#        Sub TDS700C (1 yr) Bandwidth IEEE /5800+G2
#        Sub TDS700C (1 yr) Sens IEEE /5800+G2
#        Sub TDS700C (1 yr) Aux Trig In Sens IEEE /5800
#
# Required Files:
#        tdsprobe.jpg      Picture: Probe compensation Test
#        58_4ck_1.jpg      Picture: DC Volts Connection - Channel 1
#        58_4ck_2.jpg      Picture: DC Volts Connection - Channel 2
#        58_4ck_3.jpg      Picture: DC Volts Connection - Channel 3
#        58_4ck_4.jpg      Picture: DC Volts Connection - Channel 4
#        58_4ck_5.jpg      Picture: DC Volts Con. - Ch 1 and Aux trig in
#        58_4ck_6.jpg      Picture: Main Trigger Out
#        58_4ck_7.jpg      Picture: Delay Trigger Out
#        58_4ck_8.jpg      Picture: Signal/Source Out Test
#        58_4ck99.jpg      Picture: DC Volts Connection - Channel 1,2,3 and 4
#        58_4ck12.jpg      Picture: 58x0A CH 1 to UUT CH 1 & 2
#        58_4ck13.jpg      Picture: 58x0A CH 1 to UUT CH 1 & 3
#        58_4ck14.jpg      Picture: 58x0A CH 1 to UUT CH 1 & 4
#
#@ Additional Equipment Required:
#@       Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#@       Cable, coaxial, BNC(m)-(m), 36"
#@       Cable, coaxial, BNC(m)-(m), 12"
#@       Dual Input Coupler (BNC)
#@       50 Ohm Feedthrough (BNC)
#@
# The procedure was tested using:
#
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing : 60 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M5800                                                    C5
  1.003  5800         1GH                          1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

# Verify MET/CAL version compatibility.
  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.010  DISP         or later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  CALL         Sub Select Failed Test Mode
  1.017  CALL         Sub Select Verification Method

  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         20 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  HEAD         UUT IDENTIFICATION
  1.020  TARGET
  1.021  CALL         Sub TDS500/600/700 Setup IEEE
  1.022  IEEE2        *RST;DESE 61
  1.023  WAIT         -t 4 System Initializing ...
  1.024  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.025  MATH         Model = "TDS 784C"
# Make sure correct UUT is connected.
  1.026  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.027  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.028  IF           NOT(L[1]) || NOT(L[2])
  1.029  DISP         UUT is a [V @Manufacturer] [V @ModelNum],
  1.029  DISP         not a Tektronix [V Model]!
  1.030  END
  1.031  ENDIF

  1.032  HEAD         EQUIPMENT REQUIREMENTS
  1.033  OPBR         -z Do you want to REVIEW the list of additional
  1.033  OPBR         equipment and/or accessories required?

  1.034  IF           MEM1
  1.035  DISP         The following additional equipment and/or accessories
  1.035  DISP         are required:
  1.035  DISP
  1.035  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.035  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.035  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.035  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.035  DISP         - Dual Input Coupler (BNC)
  1.035  DISP         - 50 Ohm Feedthrough (BNC)
  1.036  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DC OFFSET(CH1)                     DC OFFSET(CH1)
#    4.   DC OFFSET(CH2)                     DC OFFSET(CH2)
#    5.   DC OFFSET(CH3)                     DC OFFSET(CH3)
#    6.   DC OFFSET(CH4)                     DC OFFSET(CH4)
#    7.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    8.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    9.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#   10.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#   11.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#   12.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#   13.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   14.   BANDWIDTH(CH4)                     BANDWIDTH(CH4)
#   15.   CHANNEL DELAY                      SAMPLE RATE AND DELAY TIME ACC
#   16.   SAMPLE RATE AND DELAY TIME ACC     TIME ACC OF PULSE WIDTH TRIG(CH1)
#   17.   TIME ACC OF PULSE WIDTH TRIG(CH1)  TRIG LEVEL ACCURACY(CH1)
#   18.   TRIG LEVEL ACCURACY(CH1)           EDGE-TRIGGER SENSITIVITY(CH1)
#   19.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH2)
#   20.   AUX TRIG IN SENSITIVITY (CH1)      EDGE-TRIGGER SENSITIVITY(CH3)
#   21.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH4)
#   22.   EDGE-TRIGGER SENSITIVITY(CH3)      AUX TRIG IN SENSITIVITY (CH1)
#   23.   EDGE-TRIGGER SENSITIVITY(CH4)      CHANNEL DELAY
#   24.   SIGNAL OUT AND AUX TRIGGER OUT     SIGNAL OUT AND AUX TRIGGER OUT
#   25.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.037  CALL         Sub TDS700C Specifications
  1.038  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.039  JMPL         END                          @Abort
  1.040  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.041  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.042  MATH         @SourceChanNum = 5

# Specify channel to test.
  1.043  MATH         @Chan = 1
  1.044  CALL         Sub TDS700C (1 yr) DC Offset IEEE
  1.045  MATH         @Chan = 2
  1.046  CALL         Sub TDS700C (1 yr) DC Offset IEEE
  1.047  MATH         @Chan = 3
  1.048  CALL         Sub TDS700C (1 yr) DC Offset IEEE
  1.049  MATH         @Chan = 4
  1.050  CALL         Sub TDS700C (1 yr) DC Offset IEEE

  1.051  MATH         @Chan = 1
  1.052  M5800                                                    C1
  1.053  CALL         Sub TDS700C (1 yr) DCV Meas Acc IEEE /5800
  1.054  MATH         @Chan = 2
  1.055  M5800                                                    C2
  1.056  CALL         Sub TDS700C (1 yr) DCV Meas Acc IEEE /5800
  1.057  MATH         @Chan = 3
  1.058  M5800                                                    C3
  1.059  CALL         Sub TDS700C (1 yr) DCV Meas Acc IEEE /5800
  1.060  MATH         @Chan = 4
  1.061  M5800                                                    C4
  1.062  CALL         Sub TDS700C (1 yr) DCV Meas Acc IEEE /5800

  1.063  MATH         @Chan = 1
  1.064  M5800                                                    C1
  1.065  CALL         Sub TDS700C (1 yr) Bandwidth IEEE /5800+G2
  1.066  MATH         @Chan = 2
  1.067  M5800                                                    C2
  1.068  CALL         Sub TDS700C (1 yr) Bandwidth IEEE /5800+G2
  1.069  MATH         @Chan = 3
  1.070  M5800                                                    C3
  1.071  CALL         Sub TDS700C (1 yr) Bandwidth IEEE /5800+G2
  1.072  MATH         @Chan = 4
  1.073  M5800                                                    C4
  1.074  CALL         Sub TDS700C (1 yr) Bandwidth IEEE /5800+G2
  1.075  JMPL         TIMEBASE_TRIGGER

  1.076  LABEL        DELAY_MATCH
  1.077  MATH         @Chan = 1
  1.078  M5800                                                    C1
  1.079  CALL         Sub TDS700C (1 yr) Delay Match IEEE /5800
  1.080  JMPL         OUTPUT_SIGNAL

  1.081  LABEL        TIMEBASE_TRIGGER
  1.082  MATH         @Chan = 1
  1.083  M5800                                                    C1
  1.084  CALL         Sub TDS700C (1 yr) Time Base IEEE /5800
  1.085  CALL         Sub TDS700C (1 yr) Trig Time Acc IEEE /5800
  1.086  CALL         Sub TDS700C (1 yr) Trig Level Acc IEEE /5800

  1.087  MATH         @Chan = 1
  1.088  M5800                                                    C1
  1.089  CALL         Sub TDS700C (1 yr) Sens IEEE /5800+G2
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.090  OPBR         -z Each channel trig sensitivity test will take about
  1.090  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.090  OPBR         channels to save time, unless desired.
  1.090  OPBR
  1.090  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.090  OPBR         3, and 4?
  1.091  MATH         @TestCh234Sens = MEM1
  1.092  JMPL         MAIN_TRIG_SENS_CH2

  1.093  LABEL        AUX_TRIG_IN
  1.094  MATH         @Chan = 1
  1.095  M5800                                                    C1
  1.096  CALL         Sub TDS700C (1 yr) Aux Trig In Sens IEEE /5800
  1.097  JMPL         DELAY_MATCH

  1.098  LABEL        MAIN_TRIG_SENS_CH2

  1.099  IF           @TestCh234Sens
  1.100  MATH         Time = 3 * @OptChSensTime
  1.101  DISP         The next routine operator intervention occurs
  1.101  DISP         in approximately [V Time] minutes...
  1.102  MATH         @Chan = 2
  1.103  M5800                                                    C2
  1.104  CALL         Sub TDS700C (1 yr) Sens IEEE /5800+G2
  1.105  MATH         @Chan = 3
  1.106  M5800                                                    C3
  1.107  CALL         Sub TDS700C (1 yr) Sens IEEE /5800+G2
  1.108  MATH         @Chan = 4
  1.109  M5800                                                    C4
  1.110  CALL         Sub TDS700C (1 yr) Sens IEEE /5800+G2
  1.111  ENDIF

  1.112  JMPL         AUX_TRIG_IN

  1.113  LABEL        OUTPUT_SIGNAL
  1.114  M5800                                                    C1
  1.115  CALL         Sub TDS700C (1 yr) Output Signal IEEE /5800
  1.116  M5800                                                    C1
  1.117  CALL         Sub TDS700C (1 yr) Probe Comp IEEE /5800

  1.118  LABEL        END
  1.119  IEEE2        *RST;DESE 61

  1.120  IF           @Abort
  1.121  DISP         V E R I F I C A T I O N   A B O R T E D
  1.122  ELSE
  1.123  DISP         V E R I F I C A T I O N   C O M P L E T E
  1.124  ENDIF

  1.125  END
